javax.persistence.metamodel

## Interface MapAttribute<X,K,V>

Type Parameters:
  `X` - The type the represented Map belongs to
  `K` - The type of the key of the represented Map
  `V` - The type of the value of the represented Map

All Superinterfaces:
  Attribute<X,java.util.Map<K,V>>, Bindable<V>, PluralAttribute<X,java.util.Map<K,V>,V>

    public interface MapAttribute<X,K,V>
    extends PluralAttribute<X,java.util.Map<K,V>,V>

Instances of the type `MapAttribute` represent persistent `java.util.Map`-valued attributes.

Since:
  Java Persistence 2.0

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.persistence.metamodel.PluralAttribute

`PluralAttribute.CollectionType`

### Nested classes/interfaces inherited from interface javax.persistence.metamodel.Attribute

`Attribute.PersistentAttributeType`

### Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable

`Bindable.BindableType`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Class<K>` `getKeyJavaType()` Return the Java type of the map key.
`Type<K>` `getKeyType()` Return the type representing the key type of the map.

### Methods inherited from interface javax.persistence.metamodel.PluralAttribute

`getCollectionType, getElementType`

### Methods inherited from interface javax.persistence.metamodel.Attribute

`getDeclaringType, getJavaMember, getJavaType, getName, getPersistentAttributeType, isAssociation, isCollection`

### Methods inherited from interface javax.persistence.metamodel.Bindable

`getBindableJavaType, getBindableType`

### Method Detail

#### getKeyJavaType

    java.lang.Class<K> getKeyJavaType()

Return the Java type of the map key.

Returns:
  Java key type

#### getKeyType

    Type<K> getKeyType()

Return the type representing the key type of the map.

Returns:
  type representing key type